package com.he.lynx.loader;

import android.net.Uri;
import com.bytedance.covode.number.Covode;

public interface MediaLoader {

    public enum FacingMode {
        USER,
        ENVIRONMENT
    }

    public static class RequestParams {
        public boolean audio;
        public boolean effect;
        public FacingMode facingMode = FacingMode.USER;
        public boolean video;

        static {
            Covode.recordClassIndex(45654);
        }
    }

    public interface Responder {
        static {
            Covode.recordClassIndex(45655);
        }

        void onResponse(boolean z);
    }

    static {
        Covode.recordClassIndex(45652);
    }

    Uri loadMedia(String str);

    void onRequest(RequestParams requestParams, Responder responder);
}
